import request from '@/utils/request'

// 查询首页广告列表
export function listAds(query) {
  return request({
    url: '/system/ads/list',
    method: 'get',
    params: query
  })
}

// 查询首页广告详细
export function getAds(id) {
  return request({
    url: '/system/ads/' + id,
    method: 'get'
  })
}

// 新增首页广告
export function addAds(data) {
  return request({
    url: '/system/ads',
    method: 'post',
    data: data
  })
}

// 修改首页广告
export function updateAds(data) {
  return request({
    url: '/system/ads',
    method: 'put',
    data: data
  })
}

// 删除首页广告
export function delAds(id) {
  return request({
    url: '/system/ads/' + id,
    method: 'delete'
  })
}
